Package: org.codehaus.groovy.grails.web.converters.marshaller

## [Java] Interface NameAwareMarshaller

- Specialized ObjectMarshaller which defines the Tag Name for XML Conversion.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getElementName(java.lang.Object o)` Returns the tag name for the object

- - ### Method Detail

    - #### public java.lang.String getElementName(java.lang.Object o)

      Returns the tag name for the object

      Parameters:
        `o` - the object
      Returns:
        the tag name